Environment Class Reference

Class to obtain environment variables. More...

`#include <Environment.h>`

## Static Public Member Functions

static int | getVerbosity ()
static std::string | getLogFile ()
static float | getMaxImageCacheSize ()
static std::string | getFileNamePattern ()
static int | getJPEGQuality ()
static int | getMaxCVT ()
static int | getMaxLayers ()
static std::string | getFileSystemPrefix ()
static std::string | getWatermark ()
static float | getWatermarkProbability ()
static float | getWatermarkOpacity ()
static std::string | getMemcachedServers ()
static unsigned int | getMemcachedTimeout ()
static unsigned int | getInterpolation ()
static std::string | getCORS ()
static std::string | getBaseURL ()
static std::string | getCacheControl ()
static bool | getAllowUpscaling ()
static std::string | getURIMap ()
static unsigned int | getEmbedICC ()
static unsigned int | getKduReadMode ()

## Detailed Description

Class to obtain environment variables.

The documentation for this class was generated from the following file:

- Environment.h